Skip to main content
GET
Returns custom data array items

Authorizations

JSESSIONID
string
cookie
required

Path Parameters

userId
string
required

The id of the user or "me".

propertyArrayName
string
required

The name of the custom data array.

Query Parameters

filter
string

The filtering conditions: property names or property paths using filtering operators and values.

The supported operators are:

Precedence order for logical operators: not, and, or.

page
integer
default:0

The results page number.

Required range: x >= 0
size
integer<int32>
default:20

The number of items to be returned.

Required range: 1 <= x <= 100
orderBy
string

This contains a comma-separated list of expressions used to sort the items.

The expression MAY include the prefix "+" for ascending or "-" for descending. If "+" or "-" is not specified, ascending order is used.

NULL values are sorted as "less than" non-NULL values.

Items are sorted by the result values of the first expression, and then items with the same value for the first expression are sorted by the result value of the second expression, and so on. The sort order is the inherent order for the type of the property.

Response

OK

{key}
object